Bug 6748 - Add link to fast add framework while circulating, if a barcode is not found
Summary: Add link to fast add framework while circulating, if a barcode is not found
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: 3.6
Hardware: All All
: PATCH-Sent (DO NOT USE) enhancement (vote)
Assignee: Kyle M Hall
QA Contact: Bugs List
URL:
Keywords:
Depends on: 3495 4222
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-18 22:51 UTC by Chris Cormack
Modified: 2012-10-25 23:10 UTC (History)
3 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 6748 - Add link to fast add framework while circulating, if a barcode is not found (19.01 KB, patch)
2011-08-21 21:14 UTC, Chris Cormack
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 6748 - Add link to fast add framework while circulating, if a barcode is not found (19.08 KB, patch)
2011-08-24 18:19 UTC, Nicole C. Engard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2011-08-18 22:51:50 UTC
Work To Be Done:

    * Add a button to the "unknown barcode" message in checkout that would bring the user to the Fast Add Framework (for consistency with the rest of Koha)
          o Automatically populate the barcode with the value scanned
          o Automatically populate the homebranch and holdingbranch with the currently logged in branch
          o Automatically populate the non public note to say “return the item to cataloging”  
    * Upon save, the item will automatically be checked out the patron.

How to test:
    * Scan a barcode that is not in your system in the check out screen
    * Confirm that the behavior follows the above
Comment 1 Chris Cormack 2011-08-18 23:02:04 UTC
This is partially done, by bug 3495, which is in master

So this will just extend that functionality to cover missing bits

Namely
o Automatically populate the barcode with the value scanned
o Automatically populate the homebranch and holdingbranch with the
currently logged in branch
o Automatically populate the non public note to say “return the item
to cataloging”  

* Upon save, the item will automatically be checked out the patron.
Comment 2 Chris Cormack 2011-08-21 21:14:34 UTC Comment hidden (obsolete)
Comment 3 Nicole C. Engard 2011-08-24 18:19:29 UTC
Created attachment 5122 [details] [review]
[SIGNED-OFF] Bug 6748 - Add link to fast add framework while circulating, if a barcode is not found

Signed-off-by: Nicole C. Engard <nengard@bywatersolutions.com>
Comment 4 Ian Walls 2011-08-25 17:37:55 UTC
This patch does not implement the portion of the requirements to add the Non-public Note indicating to return the item to cataloging.  Otherwise it works very well.  This particular omission is understandable, given the state of bug 4222, which can be viewed in some ways as a dependency.

Marking this particular patch as Passed QA, but a followup will need to be written to implement the Note requirement, once that can be reconciled with 4222
Comment 5 Chris Cormack 2011-08-26 03:06:03 UTC
Pushed, reset status, as needs another patch to set the non-public note, pleas test
Comment 6 Ian Walls 2011-08-26 13:53:58 UTC
Upon further investigation, the Fast Add framework can be added to give the non-public note a default value, which accomplishes the same end, and gives the library much more control over the nature of the message.

I'm going to reset the statuses on this, and mark this as closed, since all the points of the Work To Be Done are (or can be, with a small administrative data change) met.